Ubuntu

[SRU] brasero can't copy audio cd (useless error message)

Reported by Will Bickerstaff on 2010-02-28
900
This bug affects 195 people
Affects Status Importance Assigned to Milestone
Brasero
Fix Released
High
brasero (Ubuntu)
High
Unassigned
Declined for Jaunty by Sebastien Bacher
Lucid
Undecided
Marc Deslauriers
Maverick
Undecided
Marc Deslauriers
Natty
High
Unassigned

Bug Description

Binary package hint: brasero

I get an insanely vague error when attempting to copy an audio cd, It reads:

All required applications and libraries are not installed.
Please install the following manually and try again:.

And that's it, doesn't tell me what's missing!

Screenshot attached

ProblemType: Bug
Architecture: i386
Date: Sun Feb 28 21:48:35 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091231)
NonfreeKernelModules: nvidia
Package: brasero 2.29.90-0ubuntu1
ProcEnviron:
 LANG=en_GB.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
SourcePackage: brasero
Uname: Linux 2.6.32-13-generic i686

Update 2010-11-07:
Workaround: install the packages libesd0 and libaudio2
(see michal.gregor's comment on 2010-10-18)

Steffen Röcker (sroecker) wrote :

I got a similar error message that cdda2wav is missing.
After I installed it (it's now called icedax) it still didn't work.

Changed in brasero (Ubuntu):
status: New → Confirmed

Yep I had the cdda2wav message before I installed icedax, now just the empty message

I patched it to use icedax and it works now for me.
Maybe brasero should depend on icedax by default as rhythmbox also uses brasero to copy audio CDs.
(which doesn't work, it creates a new CD with sr0 as a file to copy)

summary: - Un-helpfull message when attempting to copy audio cd
+ brasero can't copy audio cd (useless error message)
tags: added: patch

New Brasero version: 2.30.0-0ubuntu1
Same error message.

Nic (crustysnail) wrote :

Getting it too. First time it showed it said to install cdda2wav but it showed it twice as if it were two different things. Now doesn't list anything.

Knut Ovesen (knut-ovesen) wrote :

When I try to copy a CD with brasero on newly installled Ubuntu 10.04. Got the following error message: All required applications and libraries are not installed. And lists that toc2cue (program) and cdrdao (program) are missing. I installed cdrdao (sudo apt-get install cdrdao). Now I got the same error message but an empty list of what componets that are missing.

I think this worked fine on Ubuntu 9.10.

Redmar (redmar) wrote :

This still happens on the Lucid as of today, I get a prompt to install toc2cue, which seems to be absent from the repo's, not sure how to fix this.
I can also confirm that this issue did not exists on Karmic (9.10)

Jan Hoffmann (jan-hoffmann) wrote :

Still present in Lucid. This should really have been fixed before the release.

Jan Hoffmann (jan-hoffmann) wrote :

As a workaround, it's possible to create a "Readcd/Readom" image using Brasero and burning this image afterwards. But sadly this is far from a good solution for novice users.

I'm still using Lucid Lynx RC, but this bug is very annoying..., hope it gets fixed soon.

This is caused from a upstream commit "Check version of applications for plugins now":
http://git.gnome.org/browse/brasero/commit/?id=62bda5dab82ddba07b0d1af3af333860a97d39c3

So, a symlink workaround to icedax return a wrong version that expect from cdda2wav.

NOTE: this affect also cdrecord and mkisofs. The affected package maybe is cdrkit.

brasero --burn-debug fail to load cdrecord,mkisofs and cdda2wav beacuse are a symlink to another application.
and fail with cdrdao because the version is too old.
attached.

RavanH (ravanhagen) wrote :
Amaury (ambagot) wrote :

Same happened to me, my 10.04 32-bits it prompted me to install cdda23waw, two times as it were two different packages.

I've got the same problem, but Jan Hoffmann's workaround is doing the job for the time being.

Nigel Babu (nigelbabu) wrote :

Thanks for the patch Steffen, since its not something we can package to fix the problem, I'm rejecting the patch. Like bassl has mentioned in the bug report, upgrading cdrdao is the way to go to fix this issue. Meanwhile, folks can use this workaround

tags: added: patch-rejected
removed: patch
RavanH (ravanhagen) wrote :

So then, would it help if more people subscribe to (or mark as "affects me too") https://bugs.launchpad.net/ubuntu/+source/cdrdao/+bug/495655 to urge the importance of a cdrdao upgrade or is that inappropriate use of launchpads bugboard?

Antonis Antonoulas (aantonis) wrote :

It also affects me too

I have the same problem.

daqron (daqron) wrote :

Yeah, same here, on a Lucid fresh install.

Another good workaround is to install CDRDAO and use that as a standalone CD backup program. CDRDAO runs from the command line, and although its man page and documentation are rather byzantine, there is an excellent Ubuntu tutorial here: http://ubuntuforums.org/showthread.php?t=795181. Once you get CDRDAO working on its own you might not even want to go back to Brasero :)

svaens (svaens) wrote :

this is terrible.

bomar070 (balasso-omar) wrote :

I Have the same problem with library cdda2wav

Willy Zaugg (feller19-2) wrote :

Same problem after Upgrade to 10.04 with a 64bit and a 32bit system.
Burning audio/data/ISO projects is OK.

To make 1:1 CD copies i installed 'GnomeBaker'

onlineaddy (onlineaddy) wrote :

I get the same error. Fresh install of Lucid, when I try to copy an audio CD it gives me this error:
"All required applications and libraries are not installed.
Please install the following manually and try again:."

It doesn't say what to install... BUG!

Neil (kingfisher) wrote :

Just tried to copy my lucid cd from the context menu and got the same:
All required applications and libraries are not installed.
Please install the following manually and try again:.

But the message ends there, no other info.

bomar070 (balasso-omar) on 2010-05-14
Changed in brasero (Ubuntu):
status: Confirmed → Fix Committed
status: Fix Committed → Confirmed
Neil (kingfisher) wrote :

Tried to burn an iso from context menu and got cd ejected, I expect this is the same issue.

bomar070 (balasso-omar) on 2010-05-15
Changed in brasero (Ubuntu):
status: Confirmed → New
status: New → Confirmed
assignee: nobody → Martin Meredith (mez)
Nigel Babu (nigelbabu) wrote :

bomar070, please don't assign bugs unless its to yourself and you're working on fixing it.

Changed in brasero (Ubuntu):
assignee: Martin Meredith (mez) → nobody
Neil (kingfisher) wrote :

Then please please please a brasero dev assign it. Now the mountall bug is fixed, this will be the final bug fix. Lucid will then be 100% bug free.
P.S. I do some times live in fantasy land.

bomar070 (balasso-omar) wrote :

I installed cdrdao but Brasero and tells me 'an old version. I installed the new version of cdrdao http://cdrdao.sourceforge.net/.
Brasero is the control of audio tracks on the disc but when you burn the disc ejects.
I think it is a problem of cdrdao to upgrade to Ubuntu 10.04.
Please assign the bug to a developer, I think that the bug is widespread and serious in a LTS.
Thanks

Neil (kingfisher) wrote :

Doing cdrecord -v -dao dev=1,1,0 /directory/filename.iso in a terminal works fine, brasero can make the images (cd or dvd) but can not burn them.

Marc MAURICE (dooblem) wrote :

Upgrading to cdrdao 1.2.3 seems to do the trick.
I used checkinstall the following way :
http://en.positon.org/post/Brasero-Bug-Copying-Audio-CD-in-Ubuntu-Lucid

Neil (kingfisher) wrote :

Not for me, the eject problem still exists

Alejandro Mery (amery) wrote :

can you please give some "Importance" to this issue?? brasero is *the* tool users have to deal with optical media, it's critical for many users.

Nigel Babu (nigelbabu) wrote :

I've written to the debian maintainer to update this package, hopefully, it should be fixed in maverick. If I can find the particular patch that fixes this bug, I'll try to get it into propsed

svaens (svaens) wrote :

From someone who doesn't actually do any coding work on Ubuntu, I don't like to criticize.... but ;
In terms of Ubuntu's commitment to providing as good a release as reasonably possible, this bug in particular is very disappointing. To read the words 'hopefully' and 'maverick' when considering a bug which affects a major component of the Ubuntu desktop (something that is part of the user experience, part of the OS itself, as brasero is very much weaved in as 'inbuilt functionality of Ubuntu') is a bit of a shock.
For those who can get around this, the more clever 'users' who can choose another alternative application to provide the same functionality (such as k3b) things are, while not nice, doable. There is a work around for us.
However, I have set up Ubuntu on the computer of my mother. This is hardly the kind of situation that some potential users can 'survive' with. I'd imagine there are many other such cases, and a bug like this, more than many other kinds of bugs, prevents the wider up-take of the OS. Considering the idea of Ubuntu 'just working' ... this particular bug breaks Ubuntu. It is one thing an application like Gimp having a bug, as it is not a major part of 'the user experience'. But Brasero?

There should be more importance in fixing bugs like this. Where is shuttleworth? This is not just a papercut, it is a bit deeper.

Nigel Babu (nigelbabu) wrote :

I'm a volunteer developer to the project. For what its worth, I've been trying to do this for the past 4 hours without success because CVS repositories are a bit difficult to dissect. I've also written to the debian maintainer. I also intend to provide the package through a ppa if I can't the fix directly into Lucid. A little patience would be much appreciated.

svaens (svaens) wrote :

sorry. My comment was not intended to be directed at volunteers, or indeed, at the developers at all. More at those within the Ubuntu 'organisation' organising the priority of such work.

As I mentioned, I am not happy to be criticizing. And if there were something I could do, I would gladly do it. To be honest, I am not sure how or where I could start, or who to contact to start getting involved generally. Even though I am a developer professionally.
Indeed, If anyone could give me some insight as to how I could help more, I would appreciate it.

Changed in brasero (Ubuntu):
importance: Undecided → Low
status: Confirmed → Fix Committed
Changed in brasero:
status: Unknown → Fix Released
Changed in brasero (Ubuntu):
importance: Low → Medium
Changed in brasero (Ubuntu):
status: Fix Committed → In Progress
status: In Progress → Fix Committed
John Garland (johnnybg) on 2010-06-17
Changed in brasero (Ubuntu):
status: Fix Committed → Fix Released
Renzo Bagnati (renbag) on 2010-06-17
Changed in brasero (Ubuntu):
status: Fix Released → Confirmed
description: updated
Changed in brasero (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
Changed in brasero:
importance: Unknown → High
100 comments hidden view all 180 comments
Bullpuckey (bullpuckey) wrote :

I fixed this problem on my system by manually installing the newest version of cdrdao. It can be downloaded from here http://cdrdao.sourceforge.net/ For those of you unfamiliar with the installation of tarballs. Open the containing folder. Right click the file and select extract here. Open terminal and cd to location. For me this was the default firefox location of # cd Downloads/cdrdao-1.2.3/
type ./configure
after the program is congigured
type make
after the makefile is ready type
sudo make install
enter your password. Once this is done you may need to restart brasero if it's open. This completely fixed the issues on my system and hopefully it helps at least a few of you.

Bullpuckey (bullpuckey) wrote :

I should also add that if you are only receiving an error for toc2cue you may be able to satisfy this through synaptic by adding the cuetools package. I believe that should satisfy that dependency. After the configure command from my previous post you may want to be sure that those particular lines (toc2cue and cue2toc) have a yes next to them as they are needed for the 1 to 1 copy. If they have a no beside them instead you will need to add some packages to change the output to yes. If you have no idea what I'm talking about you should be able to figure it out after the ./configure command from my previous post.

mohrol (mohr) wrote :

Just another confirmation and the simple workaround.

Confirmation:
Trying to copy an Audio CD, Brasero demands
manual installation of the following packages:
cdda2wav
cdrdao (mentioned 2 times)
toc2cue

Workaround:
Installed cdda2wav via apt-get.
Installed cdda2wav, now titled icedax, via apt-get.
Installed cue2toc instead of toc2cue. (Maybe a typo or unused:
toc2cue is not found via package search, cue2toc however is.)

Result: No error messages, Audio CD copy works.
Sorry if this has been mentioned before. It's hard to keep track of all of these comments.
Manually reinstalling Brasero did not work for me.

RavanH (ravanhagen) wrote :

mohrol, you are saying you installed cdda2wav first and then installed icedax? and then it just works? the icedax package conflicts with cdda2wav so installing icedax will force cdda2wav to be removed again... at least on my system. or am i misunderstanding you here?

mohrol (mohr) wrote :

Sorry for my faulty description, ravanhagen. Ignore my "workaround"'s first line, please.
When trying cdda2wav apt automatically installs icedax. Did all this again to verify.
Brasero Audio CD copy still works on my system (lucid).

michal.gregor (michal.gregor) wrote :

This is obviously not impossible to fix as it works nicely in Fedora 13. Also cdrdao comes preinstalled there which I find rather logical considering that it is required for this to work. I mean - why on earth does the package rhythmbox-plugin-cdrecorder not depend on cdrdao for an instance? What is the point of integrating a copy audio CD option into rhythmbox when the packages required for it to work need not be installed?

While we're on this - note that with cdrdao not installed brasero just **crashes** whenever you try to copy an audio CD - there is no window complaining about a missing plugin or anything (that only appears when cdrdao package is already installed). Brasero should either depend on cdrdao or else this behaviour needs to be fixed as well.

Roman Yepishev (rye) wrote :

michal.gregor, yes, it crashes due to some bug in PackageKit-related notification.
I believe it should be fairly easy to fix and it may be worth opening a new bug report since this is maverick-specific fault:

#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00d4b941 in raise () from /lib/libc.so.6
#2 0x00d4ee42 in abort () from /lib/libc.so.6
#3 0x00c5e536 in g_logv () from /lib/libglib-2.0.so.0
#4 0x00c5e572 in g_log () from /lib/libglib-2.0.so.0
#5 0x00c910a5 in ?? () from /lib/libglib-2.0.so.0
#6 0x00c91406 in ?? () from /lib/libglib-2.0.so.0
#7 0x00c91135 in ?? () from /lib/libglib-2.0.so.0
#8 0x00c91458 in g_variant_new_va () from /lib/libglib-2.0.so.0
#9 0x00c9154f in g_variant_new () from /lib/libglib-2.0.so.0
#10 0x0014f013 in brasero_pk_install_file_requirement (package=0x842e6a0, missing_files=<value optimized out>, xid=62915068, cancel=0x8462b40)
    at brasero-pk.c:259
#11 0x0014f35a in brasero_pk_install_missing_app (package=0x842e6a0, file_name=0x82a5930 "toc2cue", xid=62915068, cancel=0x8462b40) at brasero-pk.c:299
#12 0x001b1772 in ?? () from /usr/lib/libbrasero-burn.so.1
#13 0x001c8002 in ?? () from /usr/lib/libbrasero-burn.so.1
#14 0x001c82b6 in ?? () from /usr/lib/libbrasero-burn.so.1
#15 0x001c94d0 in ?? () from /usr/lib/libbrasero-burn.so.1
#16 0x001c9964 in ?? () from /usr/lib/libbrasero-burn.so.1
#17 0x001c9aad in brasero_session_foreach_plugin_error () from /usr/lib/libbrasero-burn.so.1

Tormod Volden (tormodvolden) wrote :

Roman and Michal, this is reported in bug 639908.

michal.gregor (michal.gregor) wrote :

I have located the problem. As mentioned, cdrdao version is not detected properly. This is because brasero's detection is based on analysis of the first line of output that cdrdao generally provides, which has the following format:

Cdrdao version %d.%d.%d - (C) Andreas Mueller <email address hidden>

Now the problem is that when you call cdrdao in ubuntu what you actually get is:

ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libesd.so => dlopen() failed
Cdrdao version 1.2.3 - (C) Andreas Mueller <email address hidden>

The easy solution therefore is to install package libesd0.

Until a more general fix is devised I propose the following:

Make cdrdao depend on libesd0.
Make brasero depend on cdrdao.

P.S.: Please act promptly. :D

eden6000 (eden6000) wrote :

michal.gregor your workaround works fine in maverick, I installed libesd0 and now audio and data cd copy fine, thanks...and let's hope someone is reading this bug tracking...

Tormod Volden (tormodvolden) wrote :

libao merely Suggests: libesd0. It is built with esd support (build-depends on libesd0-dev). But I think it is supposed to survive even without finding libesd.so. Really, brasero's detection based on parsing console output needs to be fixed, or as Steve said long time ago, disabled.

oddentity (tetlow-dan) wrote :

Also had this same problem earlier this evening trying to copy an audio CD using the built-in option of right clicking audio cd icon on the desktop and clicking the copy disc option. This is on a completely vanilla fresh Lucid install with all updates. Only ever gets used for web browsing, no customized packages or whatever.

Tried Gnomebaker as an alternative (need something simple for non technical user, cmd line won't do), but that immediately ejected the blank disc I put in as a destination media after copying the source, and gave an error. But that's another story...

At the top of this bug report, it now says "Declined for Lucid." Does this mean that this bug won't be fixed in Lucid? I sincerely hope I've misunderstood the information at the top of the bug report.

description: updated
oddentity (tetlow-dan) wrote :

Still doesn't work for me on amd64 Lucid. Right click audio CD on desktop and select the copy cd option, and get the same error as included in the brasero-session.log output already attached to this bug report. Also happens trying to copy from Brasero directly.

Trying to install the packages posted in the workaround gives the following output:

~$ sudo apt-get install libesd0 libaudio2
Reading package lists... Done
Building dependency tree
Reading state information... Done
libesd0 is already the newest version.
libaudio2 is already the newest version.
libaudio2 set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.

I also have cdrdao 1.2.3 installed from source, which I can use to successfully copy audio CDs from the command line.

RavanH (ravanhagen) wrote :

Same as oddentity here... also on 64bit version of Lucid and after all this time still no luck with CD copying. Kind of disappointing for a LTS release :(

Stevo Vukovic (stevovukovic) wrote :

Problem still persist in Maverick (amd64). This is Ubuntu specific, Fedora 14 doesn't have this problem.

brasero-session.log:
>Checking session consistency (brasero_burn_check_session_consistency brasero-burn.c:1744)
>Unsupported type of task operation
>Session error : An internal error occurred (brasero_burn_record brasero-burn.c:2862)

Problem resolves after installing package "cdrdao".

dimitrij (chekout) wrote :

Same in Maverick (32b). Installing GnomeBaker fixes Brasero also (may be by installing cdrdao).

Stevo Vukovic (stevovukovic) wrote :

@dimitrij
gnomebaker depends on cdrdao! :)

Gannin (spacesword) wrote :

It's bugs like this, and Ubuntu's lack of response to them, that makes it hard for me to recommend Linux to someone where I won't be monitoring their computer constantly.

If a user can pop in a CD and right-click on it and has the option to "Copy CD", the expect it to work when they select it. It's little, simple usability things like this that help to hold the Linux desktop back and makes me question how aware Ubuntu really is of the desktop they promote.

Sure, the bug might be upstream and not with Ubuntu, but if Ubuntu really cared about the desktop they'd say, "Wait a minute, this really disrupts the desktop experience for users," and they'd step in and fix it and release the fix for all supported Ubuntu versions.

Testify!

On Dec 4, 2010 3:07pm, Gannin <email address hidden> wrote:
> It's bugs like this, and Ubuntu's lack of response to them, that makes

> it hard for me to recommend Linux to someone where I won't be monitoring

> their computer constantly.

> If a user can pop in a CD and right-click on it and has the option to

> "Copy CD", the expect it to work when they select it. It's little,

> simple usability things like this that help to hold the Linux desktop

> back and makes me question how aware Ubuntu really is of the desktop

> they promote.

> Sure, the bug might be upstream and not with Ubuntu, but if Ubuntu

> really cared about the desktop they'd say, "Wait a minute, this really

> disrupts the desktop experience for users," and they'd step in and fix

> it and release the fix for all supported Ubuntu versions.

> --

> You received this bug notification because you are a direct subscriber

> of a duplicate bug (585941).

> https://bugs.launchpad.net/bugs/529696

> Title:

> brasero can't copy audio cd (useless error message)

> Status in A disc burning application for gnome 2:

> Fix Released

> Status in “brasero” package in Ubuntu:

> Confirmed

> Bug description:

> Binary package hint: brasero

> I get an insanely vague error when attempting to copy an audio cd, It
> reads:

> All required applications and libraries are not installed.

> Please install the following manually and try again:.

> And that's it, doesn't tell me what's missing!

> Screenshot attached

> ProblemType: Bug

> Architecture: i386

> Date: Sun Feb 28 21:48:35 2010

> DistroRelease: Ubuntu 10.04

> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091231)

> NonfreeKernelModules: nvidia

> Package: brasero 2.29.90-0ubuntu1

> ProcEnviron:

> LANG=en_GB.utf8

> SHELL=/bin/bash

> ProcVersionSignature: Ubuntu 2.6.32-13.18-generic

> SourcePackage: brasero

> Uname: Linux 2.6.32-13-generic i686

> Update 2010-11-07:

> Workaround: install the packages libesd0 and libaudio2

> (see michal.gregor's comment on 2010-10-18)

> To unsubscribe from this bug, go to:

> https://bugs.launchpad.net/brasero/+bug/529696/+subscribe

Hi,
I recently re-installed Ubuntu 10.10 as I had corrupted my Couch DB installation (32 bit). This now works (for syncing with Ubuntu One). As one collateral damage, Brasero, which was working OK before, after distro upgrade from 10.04, now issues the well-known error message (if started from Rhythmbox) and just exits (if started via Applications / .. or via context menu, i.e., right click on the desktop). I now use GnombBaker instead of Brasero, and this works. But of course such things are annoying and periodically lessen my enthusiasm for Ubuntu, and my motivation to recommend it as a serious alternative to Windows or Mac OS.

Changed in brasero (Ubuntu Lucid):
status: New → Confirmed
Changed in brasero (Ubuntu Maverick):
assignee: nobody → Marc Deslauriers (mdeslaur)
status: New → Confirmed
Changed in brasero (Ubuntu Lucid):
assignee: nobody → Marc Deslauriers (mdeslaur)
summary: - brasero can't copy audio cd (useless error message)
+ [SRU] brasero can't copy audio cd (useless error message)
Marc Deslauriers (mdeslaur) wrote :

SRU Request:

Impact: Brasero cannot copy an audio CD in Lucid and Maverick because of an incorrectly detected cdrdao binary.

Brasero will try and determine if the cdrdao binary is the required version by executing it and parsing the banner. Because of libao in Lucid and Maverick, the cdrdao binary returns a warning before the header, resulting in brasero thinking the binary is too old.

This has been addressed for Lucid and Maverick by disabling the version check for the cdrdao binary. This is really unneeded as we know which version of cdrdao is in the archive. See attached debdiff.

The Maverick SRU also contains a minimal fix for bug #718969.

How to test cdrdao detection:
1- Install cdrdao (apt-get install cdrdao)
2- Launch brasero, and make sure the cdrdao plugin is enables successfully.

How to test packagekit backend (bug #718969, Maverick only):
1- Uninstall cdrdao (dpkg -P cdrdao)
2- Launch brasero with an audio cd in the drive. Try and copy the audio cd.
3- Instead of crashing, brasero should launch packagekit (well, actually session-installer) and install cdrdao

2 comments hidden view all 180 comments
Martin Pitt (pitti) wrote :

As this is landing as an SRU now, this needs to be fixed in natty ASAP, so that the SRU can go to -updates. Marking release critical.

Changed in brasero (Ubuntu Lucid):
status: Confirmed → Fix Committed
Changed in brasero (Ubuntu Natty):
importance: Medium → High
status: Confirmed → Triaged
Martin Pitt (pitti) on 2011-02-15
Changed in brasero (Ubuntu Maverick):
status: Confirmed → Fix Committed
Marc Deslauriers (mdeslaur) wrote :

Natty doesn't need this fix. libao in Natty doesn't print out the extra warnings, so brasero is functional.

Changed in brasero (Ubuntu Natty):
status: Triaged → Fix Released
status: Fix Released → Invalid
status: Invalid → Fix Released
assignee: Robert Ancell (robert-ancell) → nobody
Tormod Volden (tormodvolden) wrote :

Tested on a pretty clean Maverick install:
With 2.32.0-ubuntu2.1 brasero would just abort after clicking on "Create Image".
With 2.32.0-ubuntu2.2 from maverick-proposed, it now ask kindly to install "cdrdao", afterwards it starts to read the CD as it should. Did not have the patience to see if burning the image actually works, but it looks promising.

Thanks a lot Marc Deslauriers for taking this seriously! One would think the RIAA was paying Canonical to not work on this :P

Martin Pitt (pitti) on 2011-02-16
tags: added: verification-done
Martin Pitt (pitti) on 2011-02-16
tags: added: verification-needed
Marc Deslauriers (mdeslaur) wrote :

Could someone please test the Lucid brasero the is currently in -proposed? See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thanks!

Tormod Volden (tormodvolden) wrote :

Tested successfully on 10.04.2:
With old 2.30.2-0ubuntu1: Whether cdrdao is installed or not, I get "An internal error occured" with "Unsupported type of task operation" in the saved log.
With new 2.30.2-0ubuntu1.1: Without cdrdao it asks me to install cdrdao and toc2cue, however toc2cue is not available in the archive. After installing cdrdao and restarting brasero, it works fine and reads the CD.

Martin Pitt (pitti) on 2011-02-22
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu1.1

---------------
brasero (2.30.2-0ubuntu1.1) lucid-proposed; urgency=low

  * debian/patches/20_fix_cdrdao_detection.patch: Disable brasero's
    version check of the cdrdao binary, as it incorrectly parses the
    warnings that are printed before the banner. (LP: #529696)
 -- Marc Deslauriers <email address hidden> Mon, 14 Feb 2011 19:53:33 -0500

Changed in brasero (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.32.0-0ubuntu2.2

---------------
brasero (2.32.0-0ubuntu2.2) maverick-proposed; urgency=low

  * debian/patches/40_fix_cdrdao_detection.patch: Disable brasero's
    version check of the cdrdao binary, as it incorrectly parses the
    warnings that are printed before the banner. (LP: #529696)
  * debian/patches/41_fix_packagekit.patch: Don't crash when trying to use
    the packagekit backend to install missing packages, for example, when
    trying to copy an audio cd without having cdrdao installed.
    (LP: #718969)
 -- Marc Deslauriers <email address hidden> Mon, 14 Feb 2011 19:46:33 -0500

Changed in brasero (Ubuntu Maverick):
status: Fix Committed → Fix Released
rdear (rick-rdearman) wrote :

Get the same issue on 11.04. Work around not working.

Checking session consistency (brasero_burn_check_session_consistency brasero-burn.c:1739)
Unsupported type of task operation
Session error : An internal error occurred (brasero_burn_record brasero-burn.c:2856)

Cesare Mastroianni (cece) wrote :

On June 16, 2010 I "fixed" the bug on my Linux systems by means of Renzo's PPA.

Yesterday, the problem appeared again on a Maverick fresh installation. So I should say that (at least) on one of my Linux box I have the problem again. The Lucid boxes are OK.

Ciao from Italy.
CM

Marc Deslauriers (mdeslaur) wrote :

@rdear: do you have "quiet" in /etc/libao.conf?

Marc Deslauriers (mdeslaur) wrote :

Actually, everyone who is still seeing this issue should file new bugs. The original issue for this bug has been closed. Thanks.

rdear (rick-rdearman) wrote :

Yes I have quiet in the /etc/libao.conf

rdear (rick-rdearman) wrote :

Tried to create a new bug report. But it seems that Brasero doesn't exist as far as ubuntu-bug is concerned.

Yes I have quiet in the /etc/libao.conf

1 comments hidden view all 180 comments
cement_head (andor-udel) wrote :

Hello,

I can confirm that this is still an issue in Maverick. However, I have been able to get Brasero to work burning an Audio CD (both stand alone and from Rhythmbox (which is better for novice users).

Here's how I fixed the issue on my system:

Install the following via Synaptic:

brasero-cdrkit (2.32.0-0ubuntu2.2)
cuetools (1.3.1-9)
flac (1.2.1-3)
mp3info (0.8.5a-1)
python-brasero (2.30.0-1ubuntu5.1)
icedax (9:1.1.10-1ubuntu3)

Restart Rhythmbox

Choose Playlist

Burn CD

Brasero spawned & burned the disc.

- CH

security vulnerability: no → yes
security vulnerability: yes → no
gary nelson (gary-l-nelson) wrote :

I'm getting this error:

BraseroChecksumImage asked to stop because of an error
 error = 27
 message = "Some files may be corrupted on the disc"
BraseroChecksumImage stopping
BraseroChecksumImage closing connection for BraseroChecksumImageSession error : Some files may be corrupted on the disc (brasero_burn_record brasero-burn.c:2856)

after copying a .wav file to a CD (as a data element, not as part of an audio disk). I'm running 11.10 and as far as I know all my maintenance is current. now that I think about it, I've have problems copying DVD video and audio to my optical media since my migration up from 11.

I'm running on a ThinkPad T43 with 2 gig of RAM and an aftermarket DVDRW

I have the logs and I can get this to fail at will if you need some more to look at. thanks in advance for all your help.

gary

Marc Deslauriers (mdeslaur) wrote :

@gary-l-nelson:

The bug you are getting is unrelated to this bug, please file a new one. Thanks.

Displaying first 40 and last 40 comments. View all 180 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.